Bug 480555 - Right-shift gives wrong results
Right-shift gives wrong results
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcalctool (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-18 17:30 EST by Lauri Nurmi
Modified: 2009-11-18 12:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 12:51:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lauri Nurmi 2009-01-18 17:30:20 EST
Description of problem:
Shifting (to right) is broken in Gcalctool.

Version-Release number of selected component (if applicable):
gcalctool-5.24.2-1.fc10.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Select Scientific mode.
2. Enter e.g. number 128. (10000000 in binary)
3. Shift right by 3 places.
  
Actual results:
21 (10101 in binary)

Expected results:
16 (10000 in binary)

Additional info:
Shifting by 1 or 2 would seem to work, but by 3 or more gives crazy results.
Comment 1 Lauri Nurmi 2009-01-20 17:17:19 EST
Added the Regression keyword, because gcalctool in F9 does shift correctly.
Comment 2 Christopher Beland 2009-07-19 09:21:24 EDT
I was unable to reproduce this problem with gcalctool-5.26.2-1.fc11.i586 using the mouse.  It was necessary to use Programming mode, not Scientific.  But I am using Fedora 11, not Fedora 10 as you are.

If you update to gcalctool-5.24.3-1.fc10, the latest available for Fedora 10, do you still experience this problem?  (You can choose "Software Update" from the menus or run "yum update" on the command line.)

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Lauri Nurmi 2009-07-19 09:45:15 EDT
Yes, the problem is still there with gcalctool-5.24.3-1.fc10.  If I manually install gcalctool-5.26.2-1.fc11 (on F10), the bug is gone.
Comment 4 Bug Zapper 2009-11-18 04:46:09 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.